Create Linear ticket
curl --request POST \
--url https://api.uselemma.ai/issues/{issue_id}/linear-ticket \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"idempotency_key": "<string>",
"team_id": "<string>",
"linear_project_id": "<string>",
"combined_assignee_lemma_user_id": "<string>",
"title": "<string>",
"description": "<string>"
}
'import requests
url = "https://api.uselemma.ai/issues/{issue_id}/linear-ticket"
payload = {
"idempotency_key": "<string>",
"team_id": "<string>",
"linear_project_id": "<string>",
"combined_assignee_lemma_user_id": "<string>",
"title": "<string>",
"description": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
idempotency_key: '<string>',
team_id: '<string>',
linear_project_id: '<string>',
combined_assignee_lemma_user_id: '<string>',
title: '<string>',
description: '<string>'
})
};
fetch('https://api.uselemma.ai/issues/{issue_id}/linear-ticket', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"issue_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"operation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"idempotent_replay": true,
"issue_assignee_user_id": "<string>",
"status": "succeeded",
"link": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"origin": "created",
"linked_at": "<string>",
"sync_status": "healthy",
"last_successful_sync_at": "<string>",
"last_error_code": "<string>",
"last_error_message": "<string>",
"last_error_at": "<string>",
"ticket": {
"id": "<string>",
"identifier": "<string>",
"url": "<string>",
"title": "<string>",
"team_id": "<string>",
"team_name": "<string>",
"team_key": "<string>",
"linear_project_id": "<string>",
"linear_project_name": "<string>",
"state_id": "<string>",
"state_name": "<string>",
"state_type": "<string>",
"linear_assignee": {
"id": "<string>",
"name": "<string>",
"avatar_url": "<string>"
}
}
}
}{
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"issue_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"operation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"idempotent_replay": true,
"issue_assignee_user_id": "<string>",
"status": "succeeded",
"link": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"origin": "created",
"linked_at": "<string>",
"sync_status": "healthy",
"last_successful_sync_at": "<string>",
"last_error_code": "<string>",
"last_error_message": "<string>",
"last_error_at": "<string>",
"ticket": {
"id": "<string>",
"identifier": "<string>",
"url": "<string>",
"title": "<string>",
"team_id": "<string>",
"team_name": "<string>",
"team_key": "<string>",
"linear_project_id": "<string>",
"linear_project_name": "<string>",
"state_id": "<string>",
"state_name": "<string>",
"state_type": "<string>",
"linear_assignee": {
"id": "<string>",
"name": "<string>",
"avatar_url": "<string>"
}
}
}
}{
"detail": "<string>",
"code": "<string>"
}{
"detail": "<string>",
"code": "<string>"
}{
"detail": "<string>",
"code": "<string>"
}{
"detail": "<string>",
"code": "<string>"
}Linear Tickets
Create Linear ticket
POST
/
issues
/
{issue_id}
/
linear-ticket
Create Linear ticket
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Lemma issue ID.
Body
application/json
Response
Created Linear ticket link
⌘I